Bug 1394406 - CFME provider OpenStack - missing relation between projects (tenants) and flavors
Summary: CFME provider OpenStack - missing relation between projects (tenants) and fla...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.8.0
Assignee: Richard Su
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-11 21:27 UTC by vaclav.miller
Modified: 2018-06-12 15:37 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:23:23 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description vaclav.miller 2016-11-11 21:27:36 UTC
Description of problem:
OpenStact provider is connected using credentials, allowing management of more OpenStack projects (tenants) that are discoverer with all their resources.
At OpenStack, some flavors are defined for specific tenants, so they do not belong to all tenants discovered from OpenStack.
For VM provisioning, tenant related resources as network are allowed only. This is not true for flavors where all are offered at drop down list, including flavors that are not allowed for selected tenant. When not allowed flavor is selected, provisioning ends with error.

In CFME at tenant Summary page are listed resources that belongs to tenant, flavors are missing at list.

Version-Release number of selected component (if applicable):
5.6
tested in 5.7 beta too

How reproducible:
Have connected OpenStack provider with at least two tenants, where there exists standalone flavors for each tenant.

Steps to Reproduce:
1. Connect OpenStack provider with more tenants with standalone flavors for each tenant
2. Start instance provisiong dialogs, at Environment tab select one provider
3. At properties tab, all flavors are offered for selection, including flavors not available for selected tenant at previous tab

Actual results:


Expected results:


Additional info:

Comment 2 Dave Johnson 2016-12-06 16:51:56 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

Comment 7 Richard Su 2017-05-09 15:13:42 UTC
This issue is fixed in https://github.com/ManageIQ/manageiq/pull/14036

Comment 8 Richard Su 2017-05-09 15:17:47 UTC
It will be in the Fine release.

Comment 9 Ronnie Rasouli 2017-05-14 07:45:40 UTC
verified on 5.8.0.14

Comment 11 errata-xmlrpc 2017-05-31 14:23:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.